FabModel

23 Sep 20253 minutes to read

Interface for a class Fab

Properties

created EmitType<Event>

Triggers once the component rendering is completed.

content string

Defines the text content of the Button element.

    <button id="primarybtn"></button>
    import { Button } from '@syncfusion/ej2-buttons';
    let button: Button = new Button({content: 'JasButton'});
    button.appendTo('#normalbtn');

cssClass string

Defines class/multiple classes separated by a space in the Button element. The Button types, styles, and
size can be defined by using
this.

    <button id="flatbtn">Flat</button>
    import { Button } from '@syncfusion/ej2-buttons';
    let button = new Button({ cssClass: 'e-flat e-primary' });
    button.appendTo('#flatbtn');

disabled boolean

Specifies a value that indicates whether the Button is disabled or not.

enableHtmlSanitizer boolean

Specifies whether to enable the rendering of untrusted HTML values in the Button component.
If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

enableRtl boolean

Enable or disable rendering component in right to left direction.

iconCss string

Defines class/multiple classes separated by a space for the Button that is used to include an icon.
Buttons can also include font icon and sprite image.

iconPosition string|IconPosition

Positions the icon before/after the text content in the Button.
The possible values are:

  • Left: The icon will be positioned to the left of the text content.
  • Right: The icon will be positioned to the right of the text content.

isPrimary boolean

Defines whether to apply primary style for FAB.

isToggle boolean

Makes the Button toggle, when set to true. When you click it, the state changes from normal to active.

position string|FabPosition

Defines the position of the FAB relative to target.
The possible values are:

  • TopLeft: Positions the FAB at the target’s top left corner.
  • TopCenter: Positions the FAB at the target’s top left corner.
  • TopRight: Positions the FAB at the target’s top left corner.
  • MiddleLeft: Positions the FAB at the target’s top left corner.
  • MiddleCenter: Positions the FAB at the target’s top left corner.
  • MiddleRight: Positions the FAB at the target’s top left corner.
  • BottomLeft: Positions the FAB at the target’s top left corner.
  • BottomCenter: Places the FAB on the bottom-center position of the target.
  • BottomRight: Positions the FAB at the target’s bottom right corner.
    <button id='fab'></button>
import { Fab } from '@syncfusion/ej2-buttons';

let fab: Fab = new Fab({
    content:'fab',
    position:'BottomLeft'
});

fab.appendTo('#fab');

target string|HTMLElement

Defines the selector that points to an element in which the FAB will be positioned.
By default, FAB is positioned based on viewport of browser.
The target element must have relative position, else FAB will get positioned based on the closest element which has relative position.

visible boolean

Defines whether the fab is visible or hidden.

Search results

FabModel API in React Floating Action Button API component

Interface for a class Fab

Properties

created

EmitType<Event>

Triggers once the component rendering is completed.

content

string

Defines the text content of the Button element.

    import { render } from "react-dom";
    import "./index.css";
    import * as React from "react";
    import { ButtonComponent } from "@syncfusion/ej2-react-buttons";
    import { SampleBase } from "./sample-base";

    export class Default extends SampleBase {
        content = "Normal";
  
        render() {
            return (
            <ButtonComponent cssClass="e-primary" content={this.content}></ButtonComponent>
        );}
    }

    render(<Default />, document.getElementById("sample"));

cssClass

string

Defines class/multiple classes separated by a space in the Button element. The Button types, styles, and size can be defined by using this.

    import { render } from "react-dom";
    import "./index.css";
    import * as React from "react";
    import { ButtonComponent } from "@syncfusion/ej2-react-buttons";
    import { SampleBase } from "./sample-base";

    export class Default extends SampleBase {
        primary_class = "e-primary";
  
        render() {
            return (
            <ButtonComponent cssClass={this.primary_class} content="Normal"></ButtonComponent>
        );}
    }

    render(<Default />, document.getElementById("sample"));

disabled

boolean

Specifies a value that indicates whether the Button is disabled or not.

enableHtmlSanitizer

boolean

Specifies whether to enable the rendering of untrusted HTML values in the Button component. If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

enablePersistence

boolean

Enable or disable persisting component’s state between page reloads.

enableRtl

boolean

Enable or disable rendering component in right to left direction.

iconCss

string

Defines class/multiple classes separated by a space for the Button that is used to include an icon. Buttons can also include font icon and sprite image.

iconPosition

string | IconPosition

Positions the icon before/after the text content in the Button. The possible values are:

  • Left: The icon will be positioned to the left of the text content.
  • Right: The icon will be positioned to the right of the text content.

isPrimary

boolean

Defines whether to apply primary style for FAB.

isToggle

boolean

Makes the Button toggle, when set to true. When you click it, the state changes from normal to active.

position

string | FabPosition

Defines the position of the FAB relative to target. The possible values are:

  • TopLeft: Positions the FAB at the target’s top left corner.
  • TopCenter: Positions the FAB at the target’s top left corner.
  • TopRight: Positions the FAB at the target’s top left corner.
  • MiddleLeft: Positions the FAB at the target’s top left corner.
  • MiddleCenter: Positions the FAB at the target’s top left corner.
  • MiddleRight: Positions the FAB at the target’s top left corner.
  • BottomLeft: Positions the FAB at the target’s top left corner.
  • BottomCenter: Places the FAB on the bottom-center position of the target.
  • BottomRight: Positions the FAB at the target’s bottom right corner. To refresh the position of FAB on target resize, use refreshPosition method. The position will be refreshed automatically when browser resized.
import * as React from 'react';
import './style.css';
import { FabComponent } from '@syncfusion/ej2-react-buttons';

export default function App() {
  return (
    <div>
      <FabComponent content='fab' position='BottomLeft'></FabComponent>
    </div>
  );
}

target

string | HTMLElement

Defines the selector that points to an element in which the FAB will be positioned. By default, FAB is positioned based on viewport of browser. The target element must have relative position, else FAB will get positioned based on the closest element which has relative position.

visible

boolean

Defines whether the fab is visible or hidden.

FabModel
23 Sep 20254 minutes to read
Interface for a class Fab
Properties
created EmitType<Event>
Triggers once the component rendering is completed.
content string
Defines the text content of the Button element.
<template>
<ejs-button :isPrimary="true" :content="content"></ejs-button>
<template>
<style>
</style>
<script>
import Vue from "vue";
import { ButtonPlugin } from "@syncfusion/ej2-vue-buttons";
Vue.use(ButtonPlugin);
export default Vue.extend({
data: function(){
return{
content: 'Primary'
}
}
methods: { }
}});
</script>cssClass string
Defines class/multiple classes separated by a space in the Button element. The Button types, styles, and
size can be defined by using
this.
<template>
<ejs-button :cssClass="cssClass_flat" :content="content">Primary</ejs-button>
<template>
<style>
</style>
<script>
import Vue from "vue";
import { ButtonPlugin } from "@syncfusion/ej2-vue-buttons";
Vue.use(ButtonPlugin);
export default Vue.extend({
data: function(){
return{
cssClass_flat: 'e-flat'
}
}
methods: { }
}});
</script>disabled boolean
Specifies a value that indicates whether the Button is disabled or not.
enableHtmlSanitizer boolean
Specifies whether to enable the rendering of untrusted HTML values in the Button component.
If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.
enablePersistence boolean
Enable or disable persisting component’s state between page reloads.
enableRtl boolean
Enable or disable rendering component in right to left direction.
iconCss string
Defines class/multiple classes separated by a space for the Button that is used to include an icon.
Buttons can also include font icon and sprite image.
iconPosition string|IconPosition
Positions the icon before/after the text content in the Button.
The possible values are:
- Left: The icon will be positioned to the left of the text content.
- Right: The icon will be positioned to the right of the text content.
isPrimary boolean
Defines whether to apply primary style for FAB.
isToggle boolean
Makes the Button toggle, when set to true. When you click it, the state changes from normal to active.
position string|FabPosition
Defines the position of the FAB relative to target.
The possible values are:
- TopLeft: Positions the FAB at the target’s top left corner.
- TopCenter: Positions the FAB at the target’s top left corner.
- TopRight: Positions the FAB at the target’s top left corner.
- MiddleLeft: Positions the FAB at the target’s top left corner.
- MiddleCenter: Positions the FAB at the target’s top left corner.
- MiddleRight: Positions the FAB at the target’s top left corner.
- BottomLeft: Positions the FAB at the target’s top left corner.
- BottomCenter: Places the FAB on the bottom-center position of the target.
- BottomRight: Positions the FAB at the target’s bottom right corner.
<template>
<ejs-fab id='fab' content='fab' position='BottomLeft'></ejs-fab>
</template>
<script>
import Vue from 'vue';
import { FabPlugin } from '@syncfusion/ej2-vue-buttons';
Vue.use(FabPlugin);
export default {}
</script>target string|HTMLElement
Defines the selector that points to an element in which the FAB will be positioned.
By default, FAB is positioned based on viewport of browser.
The target element must have relative position, else FAB will get positioned based on the closest element which has relative position.
visible boolean
Defines whether the fab is visible or hidden.

FabModel

23 Sep 20254 minutes to read

Interface for a class Fab

Properties

created EmitType<Event>

Triggers once the component rendering is completed.

content string

Defines the text content of the Button element.

    <button ejs-button [content]="content_normal">Normal</button>
import { Component, ViewEncapsulation } from "@angular/core";
import { ButtonComponent } from "@syncfusion/ej2-angular-buttons";
/**
 * Default Button Controller
 */
@Component({
  selector: "app-root",
  templateUrl: "app.component.html",
  styleUrls: ["app.component.css"],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  public content_normal = "Normal";

  constructor() {}
}

cssClass string

Defines class/multiple classes separated by a space in the Button element. The Button types, styles, and
size can be defined by using
this.

    <button ejs-button [cssClass]="flat_class" isPrimary="true">Flat</button>
    import { Component, ViewEncapsulation } from "@angular/core";
    import { ButtonComponent } from "@syncfusion/ej2-angular-buttons";
    /**
    * Default Button Controller
    */
    @Component({
        selector: "app-root",
        templateUrl: "app.component.html",
        styleUrls: ["app.component.css"],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
    public flat_class = "e-flat";

    constructor() {}
    }

disabled boolean

Specifies a value that indicates whether the Button is disabled or not.

enableHtmlSanitizer boolean

Specifies whether to enable the rendering of untrusted HTML values in the Button component.
If ‘enableHtmlSanitizer’ set to true, the component will sanitize any suspected untrusted strings and scripts before rendering them.

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

enableRtl boolean

Enable or disable rendering component in right to left direction.

iconCss string

Defines class/multiple classes separated by a space for the Button that is used to include an icon.
Buttons can also include font icon and sprite image.

iconPosition string|IconPosition

Positions the icon before/after the text content in the Button.
The possible values are:

  • Left: The icon will be positioned to the left of the text content.
  • Right: The icon will be positioned to the right of the text content.

isPrimary boolean

Defines whether to apply primary style for FAB.

isToggle boolean

Makes the Button toggle, when set to true. When you click it, the state changes from normal to active.

position string|FabPosition

Defines the position of the FAB relative to target.
The possible values are:

  • TopLeft: Positions the FAB at the target’s top left corner.
  • TopCenter: Positions the FAB at the target’s top left corner.
  • TopRight: Positions the FAB at the target’s top left corner.
  • MiddleLeft: Positions the FAB at the target’s top left corner.
  • MiddleCenter: Positions the FAB at the target’s top left corner.
  • MiddleRight: Positions the FAB at the target’s top left corner.
  • BottomLeft: Positions the FAB at the target’s top left corner.
  • BottomCenter: Places the FAB on the bottom-center position of the target.
  • BottomRight: Positions the FAB at the target’s bottom right corner.
    <button ejs-fab id='fab' content='fab' [position]='position'></button>
import { Component } from '@angular/core';
import { FabPosition } from '@syncfusion/ej2-angular-buttons';

@Component({
    selector: 'app-root',
    templateUrl: 'app.component.html',
    encapsulation: ViewEncapsulation.None
})

export class AppComponent { 
    public position:FabPosition = 'BottomLeft';
}

target string|HTMLElement

Defines the selector that points to an element in which the FAB will be positioned.
By default, FAB is positioned based on viewport of browser.
The target element must have relative position, else FAB will get positioned based on the closest element which has relative position.

visible boolean

Defines whether the fab is visible or hidden.